package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TQtdevinfoValue;
import com.chinaitop.depot.intelligent.grainsituation.model.TQtdevinfoValueExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TQtdevinfoValueMapper {
    int countByExample(TQtdevinfoValueExample example);

    int deleteByExample(TQtdevinfoValueExample example);

    int insert(TQtdevinfoValue record);

    int insertSelective(TQtdevinfoValue record);

    List<TQtdevinfoValue> selectByExample(TQtdevinfoValueExample example);

    int updateByExampleSelective(@Param("record") TQtdevinfoValue record, @Param("example") TQtdevinfoValueExample example);

    int updateByExample(@Param("record") TQtdevinfoValue record, @Param("example") TQtdevinfoValueExample example);

    void insertBatch(List<TQtdevinfoValue> tQtdevinfoValues);

    List<Map<String, Object>> getByCfCdoe(Map<String, String> map);

    List<Map<String, Object>> getByCfCdoes(Map<String, Object> mapDate);

    List<Map<String, Object>> getByCfCdoeGroup(@Param("vCfCode")String vCfCode);
}